/*
Global CSS page to handle CSS theme for header and footer of all pages
*/

html{
  height: 100%;
}

body {
  height: 100%;
  margin: 0;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-image: linear-gradient(to bottom, rgba(102,255,51,0), rgba(102,255,51,1));
}

.Header {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  background-image: linear-gradient(to top, rgba(0, 128, 255, 0), rgba(0, 128, 255, 1));
}

.Sitetitle{
  color: white;
  Size: 1rem;
}

.Pagetitle{
  color: white;
  size: .5rem;
}

.sidenav {
  height: 100%;
  width: 160px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  padding-top: 20px;
}

.sidenav a {
  padding: 6px 8px 6px 16px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.main {
  margin-left: 160px;
  padding: 0px 10px;
}

/*On smaller screens where height is less than 450px, change the style of the sidebar
(less padding and a smaller font size) */
@media screen and (max-height: 450px){
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}